Subject: Need Sun-Loving Annual

From: "J. Conybeare" <[email-masked]>
Date: Sun, 5 Mar 1995 08:46:20 -0600

Another question from Mom.  She's had impatiens in her frontyard for the 
last couple of years and on one side they do well, but on the other it's 
too hot and dry.  I keep telling her she's fighting nature planting 
impatiens.  But she wants something easy and no-fuss and enjoys the 
mounding habit and reliable color impatiens provide.  Can you recommend 
a substitute--at least for the hotter side--with similar habit and 
color?  I was thinking of perhaps Vinca or Verbena.

She's suburban Long Island--probably zone 5???

Would appreciate feedback, either privately or to the group.

Thanks from Nancy in SE Iowa (Zone 5)--lovely (last?) snowfall last 
night. . .